Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.deployments.getInstallStatus
קל לארגן דפים בעזרת אוספים
אפשר לשמור ולסווג תוכן על סמך ההעדפות שלך.
מקבל את סטטוס ההתקנה של פריסת בדיקה.
בקשת HTTP
GET https://gsuiteaddons.googleapis.com/v1/{name=projects/*/deployments/*/installStatus}
בכתובת ה-URL נעשה שימוש בתחביר המרת קידוד של gRPC.
פרמטרים של נתיב
| פרמטרים |
name |
string
חובה. השם המלא של המשאב בפריסה. דוגמה: projects/my_project/deployments/my_deployment/installStatus
כדי לקבל הרשאה נדרשת הרשאת IAM הבאה במשאב שצוין: name:
gsuiteaddons.deployments.installStatus
|
גוף הבקשה
גוף הבקשה חייב להיות ריק.
גוף התשובה
סטטוס ההתקנה של פריסה לבדיקה.
אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל נתונים במבנה הבא:
| ייצוג JSON |
{
"name": string,
"installed": boolean
} |
| שדות |
name |
string
השם הקנוני של המשאב המלא בסטטוס ההתקנה של הפריסה. דוגמה: projects/123/deployments/my_deployment/installStatus
|
installed |
boolean
הערך יהיה True אם הפריסה מותקנת עבור המשתמש.
|
היקפי ההרשאות
נדרש היקף ההרשאות הבא של OAuth:
https://www.googleapis.com/auth/cloud-platform
מידע נוסף זמין במדריך להרשאות.
אלא אם צוין אחרת, התוכן של דף זה הוא ברישיון Creative Commons Attribution 4.0 ודוגמאות הקוד הן ברישיון Apache 2.0. לפרטים, ניתן לעיין במדיניות האתר Google Developers. Java הוא סימן מסחרי רשום של חברת Oracle ו/או של השותפים העצמאיים שלה.
עדכון אחרון: 2026-02-02 (שעון UTC).
[null,null,["עדכון אחרון: 2026-02-02 (שעון UTC)."],[],["This document details retrieving the installation status of a test deployment. A `GET` request to a specific URL using gRPC Transcoding syntax is made, including a `name` path parameter identifying the deployment. The request body is empty. The response contains a JSON object with the deployment's resource `name` and a boolean `installed` status. Authorization requires an IAM permission (`gsuiteaddons.deployments.installStatus`) and the OAuth scope (`https://www.googleapis.com/auth/cloud-platform`).\n"]]